Package org.opensaml.saml.saml1.core

# Interface Request

All Superinterfaces:
  `RequestAbstractType`, `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `XMLObject`

All Known Implementing Classes:
  `RequestImpl`

public interface Request extends RequestAbstractType
This interface defines how the SAML1 `Request` objects behave.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.saml.saml1.core.RequestAbstractType

`ID_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_QNAME, MAJORVERSION_ATTRIB_NAME, MINORVERSION_ATTRIB_NAME`

## Method Summary

Modifier and Type
Method
Description
`List<AssertionArtifact>`
`getAssertionArtifacts()`
Get the list of artifacts.
`List<AssertionIDReference>`
`getAssertionIDReferences()`
Get the list of AssertionIDReferences.
`AttributeQuery`
`getAttributeQuery()`
Get the request AttributeQuery.
`AuthenticationQuery`
`getAuthenticationQuery()`
Get the request AuthenticationQuery.
`AuthorizationDecisionQuery`
`getAuthorizationDecisionQuery()`
Get the request AuthorizationDecisionQuery.
`Query`
`getQuery()`
Get the request Query, SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery.
`SubjectQuery`
`getSubjectQuery()`
Get the request SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery.
`void`
`setQuery(Query query)`
Set the request query (Query, SubjectQuery, AuthenticationQuery, AttributeQuery, AuthorizationDecisioonQuery).

### Methods inherited from interface org.opensaml.saml.saml1.core.RequestAbstractType

`getID, getIssueInstant, getRespondWiths, getVersion, setID, setIssueInstant, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getQuery

@Nullable Query getQuery()
Get the request Query, SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery.

Returns:
  request Query, SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery

### getSubjectQuery

@Nullable SubjectQuery getSubjectQuery()
Get the request SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery.

Returns:
  request SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery

### getAuthenticationQuery

@Nullable AuthenticationQuery getAuthenticationQuery()
Get the request AuthenticationQuery.

Returns:
  request AuthenticationQuery

### getAttributeQuery

@Nullable AttributeQuery getAttributeQuery()
Get the request AttributeQuery.

Returns:
  request AttributeQuery

### getAuthorizationDecisionQuery

@Nullable AuthorizationDecisionQuery getAuthorizationDecisionQuery()
Get the request AuthorizationDecisionQuery.

Returns:
  request AuthorizationDecisionQuery

### setQuery

void setQuery(@Nullable Query query)
Set the request query (Query, SubjectQuery, AuthenticationQuery, AttributeQuery, AuthorizationDecisioonQuery).

Parameters:
  `query` - Query, SubjectQuery, AuthenticationQuery, AttributeQuery, AuthorizationDecisioonQuery

### getAssertionIDReferences

@Nonnull @Live List<AssertionIDReference> getAssertionIDReferences()
Get the list of AssertionIDReferences.

Returns:
  list of AssertionIDReferences

### getAssertionArtifacts

@Nonnull @Live List<AssertionArtifact> getAssertionArtifacts()
Get the list of artifacts.

Returns:
  list of artifacts